util-linux error

Anything that pertains to Portage

Moderator: Moderators

util-linux error

Postby neofax » Tue Sep 04, 2007 19:26

When I follow wolfdens update howto and do the emerge -e system portion, I receive the following error:

!!! Error: the >=sys-apps/util-linux-2.13_pre package conflicts with another package;
!!! the two packages cannot be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

I have tried the emerge --pretend, but it does not help. What else, can I do to fix this problem? Thanks!
neofax
Young Hen
 
Posts: 20
Joined: Tue Sep 04, 2007 19:21

Re: util-linux error

Postby WarraWarra » Tue Sep 04, 2007 21:14

"emerge --pretend" only shows you what is blocking the other.
You can "emerge --unmerge packagename" to remove the blocking package but have to check if it will cause bugs and or later install it.

"layman -S" might fix the blocking parts list as likely the blocking has been replaced or is not needed and so can be safe to remove. " dep --help" as there is a clean out / spring clean option that could fx this as well.

If not sure remove it and then later "revdep-rebuild -X" but do not remove pam at all or be carefull as this removes login / passwords mannager thingy and caused me a few bad night's.

Coffee where is my coffee LOL. Hope this helps. Use all I listed with caution and make sure you know what it would do and what the results might be before doing them.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511

Re: util-linux error

Postby neofax » Tue Sep 04, 2007 22:11

Here is what I still get agter doing everything but unmerging the file:

CENTAURI ~ # emerge --pretend util-linux

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] sys-apps/util-linux-2.13 [2.12r-r6] USE="-old-linux%"
[blocks B ] >=sys-apps/util-linux-2.13_pre (is blocking sys-process/schedutils-1.5.0)
[blocks B ] sys-process/schedutils (is blocking sys-apps/util-linux-2.13)


Any suggestions?
neofax
Young Hen
 
Posts: 20
Joined: Tue Sep 04, 2007 19:21

Re: util-linux error

Postby WarraWarra » Tue Sep 04, 2007 22:20

I might be wrong but the schedutils should be okay to unmerge and if still needed it can be installed later.
WarraWarra
Sagely Hen
 
Posts: 1989
Joined: Wed Jan 03, 2007 21:01
Location: 31.324270, -113.585511


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron